Skip to content
Start here

Kick participants from an active session

POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick

Kicks one or more participants from an active session using user ID or custom participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
meeting_id: string
Body ParametersJSONExpand Collapse
custom_participant_ids: array of string
participant_ids: array of string
ReturnsExpand Collapse
data: optional object { action, participants }
action: optional string
participants: optional array of object { id, created_at, updated_at, 3 more }
id: string

ID of the session participant

created_at: string
updated_at: string
email: optional string

Email of the session participant.

name: optional string

Name of the session participant.

picture: optional string

A URL pointing to a picture of the participant.

success: optional boolean

Kick participants from an active session

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/active-session/kick \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "custom_participant_ids": [
            "string"
          ],
          "participant_ids": [
            "string"
          ]
        }'
{
  "data": {
    "action": "action",
    "participants": [
      {
        "id": "id",
        "created_at": "created_at",
        "updated_at": "updated_at",
        "email": "email",
        "name": "name",
        "picture": "picture"
      }
    ]
  },
  "success": true
}
{
  "error": {
    "code": 404,
    "message": "No user found with id 813432c7-3c5a-45e2-9acf-eef7061c7584"
  },
  "success": false
}
Returns Examples
{
  "data": {
    "action": "action",
    "participants": [
      {
        "id": "id",
        "created_at": "created_at",
        "updated_at": "updated_at",
        "email": "email",
        "name": "name",
        "picture": "picture"
      }
    ]
  },
  "success": true
}
{
  "error": {
    "code": 404,
    "message": "No user found with id 813432c7-3c5a-45e2-9acf-eef7061c7584"
  },
  "success": false
}